CRYPTO_HAS_HASH(9)

NAME
crypto_has_hash - Search for the availability of a message digest

SYNOPSIS

int crypto_has_hash(const char * alg_name, u32 type, u32 mask);

ARGUMENTS

alg_name
    is the cra_name / name or cra_driver_name / driver name of the message digest cipher

type
    specifies the type of the cipher

mask
    specifies the mask for the cipher

RETURN

true when the message digest cipher is known to the kernel crypto API; false otherwise

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT